
Ruby - Bug #10397

gcc 4.1.2 for x86 can't build trunk

10/19/2014 07:12 AM - naruse (Yui NARUSE)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version: 2.2.0   

ruby -v: ruby 2.2.0dev (2014-09-13) [i686-linux] Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN

Description

Recently CentOS 5.6 x86 can't build ruby-trunk.

This is since r47562 and it hit gcc bug.

Do people want CRuby to continue RHEL/CentOS 5.6 support?

If so, ideally it is fixed by gcc.

History

#1 - 10/19/2014 07:59 AM - normalperson (Eric Wong)

naruse@airemix.jp wrote:

Bug #10397: gcc 4.1.2 for x86 can't build trunk

https://bugs.ruby-lang.org/issues/10397

Author: Yui NARUSE

Status: Assigned

Priority: Normal

Assignee: Vit Ondruch

Category: build

Target version: current: 2.2.0

ruby -v: ruby 2.2.0dev (2014-09-13) [i686-linux]

Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN

 Wrong list?  Cc-ing ruby-core

Recently CentOS 5.6 x86 can't build ruby-trunk.

This is since r47562 and it hit gcc bug.

 Oops.  I didn't think r47562 was too strange for a compiler :x

Do people want CRuby to continue RHEL/CentOS 5.6 support?

If so, ideally it is fixed by gcc.

 Problem seems isolated to 32-bit x86, x86-64 on CentOS 5.4

has no problem (but I'm not using CentOS 5.x much anymore)

$ gcc --version

gcc (GCC) 4.1.2 20080704 (Red Hat 4.1.2-46)

I can probably continue with x86-64, but not 32-bit.

#2 - 02/23/2015 04:35 PM - vo.x (Vit Ondruch)

- Assignee changed from vo.x (Vit Ondruch) to naruse (Yui NARUSE)

Red Hat Enterprise Linux 5 ships with Ruby 1.8.5, more recent releases of Ruby, as they are shipped in Red Hat Software Collections, are available

since Red Hat Enterprise Linux 6+. Moreover, Red Hat Enterprise Linux 5 is already in Production 3 Phase [1], so it is not likely to get this fixed in

GCC. Nevertheless, the best is to contact Red Hat's support if needed.

This is Red Hat's Ruby maintainer view, not necessarily RHEL/CentOS 5.6 users view.

[1] https://access.redhat.com/support/policy/updates/errata#Production_3_Phase
#3 - 10/21/2017 10:52 AM - naruse (Yui NARUSE)

- Status changed from Assigned to Closed

There's no real users.
